Subject: Re: [lojban] Re: [jboske] RE: Anything but tautologies

From: Rob Speer <[email-masked]>
Date: Thu, 28 Feb 2002 21:00:52 -0500

On Thu, Feb 28, 2002 at 07:13:00PM -0500, [email-masked] wrote:
> In a message dated 2/28/2002 1:39:07 PM Central Standard Time, 
> [email-masked] writes:
> 
> 
> > Abstractly speaking, yes. But in terms of syntax, "abu" is a
> > pronoun (outside MEX) and can't be used for the letter "a".
> > Inside ordinary MEX it is a variable, still not the letter "a".
> > 
> 
> Then what the fatal fandango is the way to refer to the letter "a"? Or the 
> numeral "1", to get back to the point?

{me'o abu} and {me'o pa} respectively.

> <Why not? It's a degenerate case, to be sure.>
> 
> Well, it sems to be evaluated (to 1, in fact),
{li pa} is evaluated to 1. {me'o pa} is the expression "1", unevaluated.

> but, having used and defended 
> some degenerate cases of equations before, I suppose I have to let this one 
> go as well. So, what is the numeral "1" OUTSIDE MEX?

I don't know. What is the name "John" outside cmene?

> <It is not yet defined to mean anything in particular.>
> 
> Not even the "1" key on a keyboard? Like all those other guys that are 
> something with a {bu} tucked on the end? No system at all?

Lots of people seem to have the impression that "bu" means a more
abstract representation of a numeral or letteral. No.

"bu" takes any Lojban word, regardless of whether it is a lerfu, and
makes a lerfu out of it. There's a convention that if you take a lerfu
and add "bu", you get some lerfu that resembles the one you started with
- hence "vybu" is "w" - but this is not a rule.

And the result of "bu" is always another lerfu, and when used alone
lerfu are always pronouns (or variables).

So "pabu" might be a variable named "1", but it is not the number "1".

> <<I Lojban... in general {n?} define to how ask even won?t>I would write n, 
> n', n'', ... as ny. ny.bu ny.bubu ...
> (People who say "n double prime" should be dissected!)>
> 
> I see, no system at all. Why {bu} of all things. And, I suspect this a 
> device for getting more {n}s, whatever they do, not the representation of the 
> application of the function represented by "'" to the number represented by 
> "n".

I too believe that that is a misuse of {bu}. Those would not be primes;
they would be unrelated variables represented by bizarre variations on
the letter "n".

> Aside from having no way to say "prime" in Lojban (the missing system strikes 
> again) , what is wrong with the short, accurate -- and easily counted -- 
> "double prime" and so on? It sure beats sounding like a three-week-old -- 
> or, more likely, the parent of one.

"Prime" could be {na'u selyli'e}, but since this is quite verbose I
think there would be a case for an experimental cmavo.
-- 
la rab.spir
noi sarji me'o gy ubu my ry ibu